"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var react_native_1 = require("react-native");
var react_native_svg_1 = __importStar(require("react-native-svg"));
var style_utils_1 = require("./style-utils");
var Check = function (_a) {
    var _b = _a.checked, checked = _b === void 0 ? false : _b, _c = _a.disabled, disabled = _c === void 0 ? false : _c, onPress = _a.onPress, _d = _a.hitSlop, hitSlop = _d === void 0 ? 8 : _d;
    // 상태에 따른 색상 설정
    var getFillColor = function () {
        if (checked) {
            return disabled ? 'rgba(16, 185, 129, 0.5)' : (0, style_utils_1.getColor)('emerald-500'); // 체크 상태
        }
        else {
            return disabled ? 'rgba(209, 213, 219, 0.5)' : (0, style_utils_1.getColor)('gray-300'); // 체크 안된 상태
        }
    };
    return (<react_native_1.Pressable onPress={onPress} disabled={disabled} hitSlop={hitSlop}>
      <react_native_svg_1.default width="32" height="32" viewBox="0 0 24 24" fill="none">
        <react_native_svg_1.Path d="m16.726 7-.64.633c-2.207 2.212-3.878 4.047-5.955 6.158l-2.28-1.928-.69-.584L6 12.66l.683.577 2.928 2.477.633.535.591-.584c2.421-2.426 4.148-4.367 6.532-6.756l.633-.64L16.726 7Z" fill={getFillColor()}/>
      </react_native_svg_1.default>
    </react_native_1.Pressable>);
};
exports.default = Check;
//# sourceMappingURL=check.js.map