import * as React from 'react';
import { TextInput, ViewStyle, TextStyle } from 'react-native';
interface SearchBarProps {
    value?: string;
    placeholder?: string;
    textColor?: string;
    placeholderColor?: string;
    backgroundColor?: string;
    width?: string;
    height?: string;
    radius?: string;
    border?: {
        borderWidth: string;
        borderColor: string;
    };
    textStyle?: TextStyle;
    className?: string;
    style?: ViewStyle;
    disabled?: boolean;
    onChangeText?: (text: string) => void;
    onClear?: () => void;
    onSubmit?: () => void;
    blurIcon?: React.ReactNode;
    onFocus?: () => void;
    onBlur?: () => void;
}
declare const _default: React.ForwardRefExoticComponent<SearchBarProps & React.RefAttributes<TextInput>>;
export default _default;
//# sourceMappingURL=search-bar.d.ts.map