"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useIsFirstTime = void 0;
var react_native_mmkv_1 = require("react-native-mmkv");
var storage_1 = require("../storage");
var IS_FIRST_TIME = 'IS_FIRST_TIME';
var useIsFirstTime = function () {
    var _a = (0, react_native_mmkv_1.useMMKVBoolean)(IS_FIRST_TIME, storage_1.storage), isFirstTime = _a[0], setIsFirstTime = _a[1];
    if (isFirstTime === undefined) {
        return [true, setIsFirstTime];
    }
    return [isFirstTime, setIsFirstTime];
};
exports.useIsFirstTime = useIsFirstTime;
//# sourceMappingURL=use-is-first-time.js.map