import * as React from 'react';
import type { SvgProps } from 'react-native-svg';
import Svg, { Path } from 'react-native-svg';

export const ErrorSymbolIcon = (props: SvgProps) => {
  return (
    <Svg
      width={20}
      height={20}
      viewBox="0 0 20 20"
      fill="none"
      {...props}
    >
      <Path
        d="M10 2a8 8 0 110 16 8 8 0 010-16zm0 10.5a.75.75 0 100 1.5.75.75 0 000-1.5zM10 6a.5.5 0 00-.492.41L9.5 6.5V11l.008.09a.5.5 0 00.984 0L10.5 11V6.5l-.008-.09A.5.5 0 0010 6z"
        fill="#EF4444"
      />
    </Svg>
  )
}